cubrid_connect
cubrid_disconnect
CUBRID Functions
PHP Manual

# cubrid_current_oid

Get OID of the current cursor location

### Description

string cubrid_current_oid ( resource `$req_identifier` )

The cubrid_current_oid function is used to get the oid of the current cursor location from the query result. To use cubrid_current_oid, the query executed must be a updatable query, and the CUBRID_INCLUDE_OID option must be included during the query execution.

### Parameters

`req_identifier`

  Request identifier.

### Return Values

Oid of current cursor location, when process is successful

`FALSE`, when process is unsuccessful.

### Examples

Example #1 cubrid_current_oid example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb", "dba");
$req = cubrid_execute($conn, "SELECT * FROM code", CUBRID_INCLUDE_OID);
$oid = cubrid_current_oid($req);
$res = cubrid_get($conn, $oid);
print_r($res);
cubrid_disconnect($conn);
?>`

The above example will output:

    Array
    (
        [s_name] => X
        [f_name] => Mixed
    )

### See Also

- cubrid_execute